<?php
    $fgdebug=false;
    $notsondednma=(array_key_exists("notsondednma",$_GET)?$_GET["notsondednma"]:false);
    $sondenotincludecas=(isset($sondenotincludecas)?$sondenotincludecas:false);
    $casVersion=(isset($sondecasversion)?$sondecasversion:"1.3.1");

    function initCAS($fgdebug,$sondenotincludecas,$casVersion) {
        if(!$sondenotincludecas) {
            if($fgdebug) error_log("================= INIT CAS = $casVersion");
            switch($casVersion){
                case "1.3.1":
                    require_once('CAS-1.3.1/eoleCAS.php');
                    require_once('configCAS/cas.inc.php');
            
                    if (__CAS_DEBUG) EolephpCAS::setDebug('/var/log/phpcas/phpcas-sonde.log');
                    if(!EolephpCAS::isInitialized()) {
                        eolephpCAS::client(__CAS_VERSION, __CAS_SERVER, __CAS_PORT, __CAS_FOLDER, false);
                        eolephpCAS::setNoCasServerValidation();
                    }
                    break;

                case "1.6.1":
                    require_once('CAS-1.6.1/CAS.php');
                    require_once('configCAS/cas.inc.php');
                    if($fgdebug) error_log("debug cas = ".__CAS_DEBUG);
                    if(!phpCAS::isInitialized()) {
                        if (__CAS_DEBUG) EolephpCAS::setDebug('/var/log/phpcas/phpcas-sonde.log');
                        phpCAS::client(__CAS_VERSION, __CAS_SERVER, __CAS_PORT, __CAS_FOLDER, false);
                        phpCAS::setNoCasServerValidation();
                    }
                    break;
            }
        }
    }

    function authCAS($fgdebug,$sondenotincludecas,$casVersion) {
        $profilsonde="visiteur";
        if(!$sondenotincludecas) {
            switch($casVersion){
                case "1.3.1":
                    if (eolephpCAS::isAuthenticated())
                    {
                        if($fgdebug) error_log("================= IS AUTH");

                        $loginsonde=eolephpCAS::getUser();
                        $loginsonde=crypt($loginsonde,"dkywqZPYNHtWDnSxACjXVcIsFuaiQT");

                        $details=eolephpCAS::getDetails();
                        if($fgdebug) error_log(print_r($details,true));
                        if (isset($details['ENTPersonProfils'])) $profilsonde=$details['ENTPersonProfils'];
                        if (isset($details['attributes']['ENTPersonProfils'][0])) $profilsonde=$details['attributes']['ENTPersonProfils'][0];
                        if (isset($details['utilisateur']['ENTPersonProfils'][0])) $profilsonde=$details['utilisateur']['ENTPersonProfils'][0];        
                    }        
                    break;

                case "1.6.1":
                    if (phpCAS::isAuthenticated())
                    {
                        if($fgdebug) error_log("================= IS AUTH");

                        $loginsonde=phpCAS::getUser();
                        $loginsonde=crypt($loginsonde,"dkywqZPYNHtWDnSxACjXVcIsFuaiQT");

                        $details=phpCAS::getAttributes();
                        if($fgdebug) error_log(print_r($details,true));
                        if (isset($details['ENTPersonProfils'])) $profilsonde=$details['ENTPersonProfils'];
                    }        
                    break;
            }                    
        }
        return $profilsonde;
            
    }



    if($fgdebug) error_log("notsondednma = ".$notsondednma);
    // Si notsondednma on vide le loginsonde cela va ignorer l'usage de cette sonde
    if(!$notsondednma) {    
        if($fgdebug) error_log("================= ENVOLE SONDE");
        if($fgdebug) error_log("notsondednma = ".$notsondednma);
        if($fgdebug) error_log("sondenotincludecas = ".$sondenotincludecas);

        // Initialiser le client SSO si besoin
        initCAS($fgdebug,$sondenotincludecas,$casVersion);

        // Récupération du login sso si non définis par l'appelant
        if($fgdebug) error_log("================= INIT LOGINSONDE");
        if(!isset($loginsonde)) $loginsonde=null;
        else $loginsonde=crypt($loginsonde,"dkywqZPYNHtWDnSxACjXVcIsFuaiQT");

        // Récupération du profil sso si non définis par l'appelant
        if($fgdebug) error_log("================= INIT LOGINPROFIL");
        if(!isset($profilsonde)) $profilsonde=authCAS($fgdebug,$sondenotincludecas,$casVersion);

        // Calcul de la provenance
        $e = explode('.', $_SERVER["REMOTE_ADDR"]);
        $s = sizeof($e);
        if(($e[0]=="172"&&$e[1]=="30")||($e[0]=="172"&&$e[1]=="16")||($e[0]=="10"&&($e[1]=="77"||$e[1]=="93"||$e[1]=="94")))
            $provenancesonde='interne';
        else
            $provenancesonde='externe';

        // Calcul de la sonde à executer celle de piwik ou celle de sondepiwik
        if(!isset($usagesonde)) $usagesonde="";
        if(!isset($urlsonde)) $urlsonde="";    
        if(file_exists('/var/www/html/sondepiwik/envoleTrackeur.js.php')) $urlsonde="/sondepiwik/envoleTrackeur.js.php";
        elseif(file_exists('/var/www/html/piwik/envoleTrackeur.js.php'))  $urlsonde="/piwik/envoleTrackeur.js.php";

        // Insertion de la sonde
        if($fgdebug) {
            error_log("================= SONDE");
            error_log("url = ".$urlsonde);
            error_log("Appli = ".$applisonde);
            error_log("Profil = ".$profilsonde);
            error_log("Login = ".$loginsonde);
            error_log("Provenance = ".$provenancesonde);
        }

        $urlscriptsonde="$urlsonde?appli=$applisonde&profil=$profilsonde&login=$loginsonde&provenance=$provenancesonde&usage=$usagesonde&fgdebug=$fgdebug";
        if(!isset($sondenotincludescript)||!$sondenotincludescript)
            echo "<script src='$urlscriptsonde'></script>";
    }

